import VizzuPlayer, { Vizzu } from './vizzu-story';

const data = <Vizzu.Data>{
	series: [
	  { name: 'Foo', values: ['Alice', 'Bob', 'Ted'] },
	  { name: 'Bar', values: [15, 32, 12] },
	  { name: 'Baz', values: [5, 3, 2] }
	]
};

const slides = [
    {
      config: {
        x: 'Foo',
        y: 'Bar'
      }
    },
    {
      config: {
        color: 'Foo',
        x: 'Baz', 
        geometry: 'circle' 
      }
    }
];

const story = {
	data: data,
	slides: slides
}

const vp = <VizzuPlayer>document.querySelector("vizzu-player");

vp.slides = story;
